
package com.tmerclub.cloud.common.product.vo;

import com.tmerclub.cloud.common.product.vo.search.SpuSearchVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 品牌信息VO
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:24
 */
public class BrandVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "brand_id")
    private Long brandId;

    @Schema(description = "品牌多语言列表")
    private List<BrandLangVO> brandLangList;

    @Schema(description = "品牌名称")
    private String name;

    @Schema(description = "品牌描述")
    private String desc;

    @Schema(description = "品牌logo图片")
    private String imgUrl;

    @Schema(description = "检索首字母")
    private String firstLetter;

    @Schema(description = "排序")
    private Integer seq;

    @Schema(description = "状态 1:enable, 0:disable, -1:deleted")
    private Integer status;

    @Schema(description = "分类")
    private List<CategoryVO> categories;

    @Schema(description = "分类id列表")
    private List<Long> categoryIds;

    @Schema(description = "是否置顶 0：不置顶  1：置顶")
    private Integer isTop;

    @Schema(description = "品牌下的商品数量")
    private Integer spuCount;

    @Schema(description = "关联系统类型 1.店铺 2.平台端 3.供应商")
    private Integer sysType;

    @Schema(description = "商品列表")
    private List<SpuSearchVO> spuList;

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public Long getBrandId() {
        return brandId;
    }

    public void setBrandId(Long brandId) {
        this.brandId = brandId;
    }

    public List<BrandLangVO> getBrandLangList() {
        return brandLangList;
    }

    public void setBrandLangList(List<BrandLangVO> brandLangList) {
        this.brandLangList = brandLangList;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getFirstLetter() {
        return firstLetter;
    }

    public void setFirstLetter(String firstLetter) {
        this.firstLetter = firstLetter;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public List<CategoryVO> getCategories() {
        return categories;
    }

    public void setCategories(List<CategoryVO> categories) {
        this.categories = categories;
    }

    public List<Long> getCategoryIds() {
        return categoryIds;
    }

    public void setCategoryIds(List<Long> categoryIds) {
        this.categoryIds = categoryIds;
    }

    public Integer getIsTop() {
        return isTop;
    }

    public void setIsTop(Integer isTop) {
        this.isTop = isTop;
    }

    public Integer getSpuCount() {
        return spuCount;
    }

    public void setSpuCount(Integer spuCount) {
        this.spuCount = spuCount;
    }

    public List<SpuSearchVO> getSpuList() {
        return spuList;
    }

    public void setSpuList(List<SpuSearchVO> spuList) {
        this.spuList = spuList;
    }

    @Override
    public String toString() {
        return "BrandVO{" +
                "brandId=" + brandId +
                ", brandLangList=" + brandLangList +
                ", name='" + name + '\'' +
                ", desc='" + desc + '\'' +
                ", imgUrl='" + imgUrl + '\'' +
                ", firstLetter='" + firstLetter + '\'' +
                ", seq=" + seq +
                ", status=" + status +
                ", categories=" + categories +
                ", categoryIds=" + categoryIds +
                ", isTop=" + isTop +
                ", spuCount=" + spuCount +
                ", sysType=" + sysType +
                ", spuList=" + spuList +
                '}';
    }
}
